<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\KursDetails\Detailsreiter\Material;

class MaterialUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Material\MaterialUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_RAUMBELEGUNG_HM; 
  }

  public static function getToolSectionId()
  {
    return 554;
  }

  protected function getMainReiterId()
  {
    return 341;
  }

  
  public function getAllowedKursnummern()
  {
    $kurshelper = new \Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse\HausmeisterKurseInRaum($this->toolSettings, \SessionOperations::getCurrentWebToolsUser(), $this->request->raumNr);

    return $kurshelper->getIdsOhneFilter();
  }
}